!---------------------------------------------------------------------
!     Copyright (C) GFD Dennou Club, 2004. All rights reserved.
!---------------------------------------------------------------------
                                                                 !=begin
!= Subroutine DivergenceVel
!
!   * Developer: SUGIYAMA Ko-ichiro (sugiyama@gfd-dennou.org)
!   * Version: $Id: divergencevel.f90,v 1.2 2005/01/28 12:41:21 sugiyama Exp $ 
!   * Tag Name: $Name:  $
!   * Change History: 
!
!== Overview 
!
!®٤ȯ u η׻
!
!== Error Handling
!
!== Known Bugs
!
!== Note
!
!== Future Plans
!
                                                                 !=end

subroutine DivergenceVel(fs_VelX, sf_VelZ, ss_DivVel)
                                                                 !=begin
  !== Dependency
  use gridset, only: DimXMin, DimXMax, DimZMin, DimZMax
  use differentiate, only: ss_dx_fs, ss_dz_sf
                                                                 !=end  
  !--- ۤηػ
  implicit none
                                                                 !=begin  
  !== Input
  real(8), intent(in)  :: fs_Velx(DimXMin:DimXMax, DimZMin:DimZMax) !® u
  real(8), intent(in)  :: sf_Velz(DimXMin:DimXMax, DimZMin:DimZMax) !® w

  !== Output
  real(8), intent(out) :: ss_DivVel(DimXMin:DimXMax, DimZMin:DimZMax) !®٤μ«
                                                                 !=end  
  !--- ® u
  ss_DivVel =  ss_dx_fs( fs_VelX ) + ss_dz_sf( sf_VelZ )
    
end subroutine DivergenceVel
