!---------------------------------------------------------------------
!     Copyright (C) GFD Dennou Club, 2004. All rights reserved.
!---------------------------------------------------------------------
                                                                 !=begin
!= Subroutine PressureGradVelX
!
!   * Developer: SUGIYAMA Ko-ichiro (sugiyama@gfd-dennou.org)
!   * Version: $Id: pressuregradvelx.f90,v 1.2 2005/01/28 12:41:21 sugiyama Exp $ 
!   * Tag Name: $Name:  $
!   * Change History: 
!
!== Overview 
!
!® u ΰϸۤ׻. ʺʬɾ
!
!== Error Handling
!
!== Known Bugs
!
!== Note
!
!== Future Plans
!
                                                                 !=end

subroutine PressureGradVelX(ss_Exner_n, ss_Div_n, fs_PresGradVelX_n)
                                                                 !=begin
  !== Dependency
  use gridset,  only: DimXMin, DimXMax, DimZMin, DimZMax
  use basicset, only: ss_CpBasicZ, ss_PotTempBasicZ
  use arareprm, only: alpha
  use average,   only: fs_avr_ss
  use differentiate,  only: fs_dx_ss
                                                                 !=end  
  !--- ۤηػ
  implicit none
                                                                 !=begin  
  !== Input
  real(8), intent(in)      :: ss_Exner_n(DimXMin:DimXMax, DimZMin:DimZMax)
  real(8), intent(in)      :: ss_Div_n(DimXMin:DimXMax, DimZMin:DimZMax)

  !== Output
  real(8), intent(out)     :: fs_PresGradVelX_n(DimXMin:DimXMax, DimZMin:DimZMax)
                                                                 !=end  

  !--- ® u ΰϷ
  fs_PresGradVelX_n =  &
       & - fs_avr_ss( ss_CpBasicZ * ss_PotTempBasicZ )  &
       &   * ( fs_dx_ss( ss_Exner_n ) - fs_dx_ss( alpha * ss_Div_n ) )  

end subroutine PressureGradVelX
